Click here to Skip to main content
12,448,563 members (55,133 online)
   

Mobile

 
QuestionAndroid Dev for ICS 4.0.4 Pin
Dana Gibson8-Oct-12 6:55
memberDana Gibson8-Oct-12 6:55 
AnswerRe: Android Dev for ICS 4.0.4 Pin
Mike DiGiovanni9-Oct-12 1:44
memberMike DiGiovanni9-Oct-12 1:44 
Android 4.0.4 is API Level 15.

API 17 is going to be a release above 4.1.1. If you have two different Android versions, the higher version will have an API level greater than or equal to the lower version. API Levels tend to be equal when there are few minor, if any, API changes or improvements, or if a version is expected to be phased out very quickly, as was the case with Android 4.0, 4.0.1, and 4.0.2.

Even if your device had some weird unsupported API Level, for example pre-production devices, you should be able to target any lower API Level and have the software work perfectly. You might be missing some new APIs in those instances, but it should otherwise work perfectly.


Source: What is API Level?[^]

General General    News News    Suggestion Suggestion    Question Question    Bug Bug    Answer Answer    Joke Joke    Praise Praise    Rant Rant    Admin Admin   

Use Ctrl+Left/Right to switch messages, Ctrl+Up/Down to switch threads, Ctrl+Shift+Left/Right to switch pages.


Advertise | Privacy | Mobile
Web02 | 2.8.160811.3 | Last Updated 14 Aug 2016
Copyright © CodeProject, 1999-2016
All Rights Reserved. Terms of Service
Layout: fixed | fluid